# Uses of Class
org.apache.commons.math3.geometry.euclidean.twod.Euclidean2D

Packages that use Euclidean2D
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.euclidean.twod.hull
This package provides algorithms to generate the convex hull for a set of points in an two-dimensional euclidean space.

## Uses of Euclidean2D in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return Euclidean2D
Modifier and Type
Method
Description
`Euclidean2D`
Euclidean3D.`getSubSpace()`
Get the n-1 dimension subspace of this space.
Methods in org.apache.commons.math3.geometry.euclidean.threed that return types with arguments of type Euclidean2D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean3D,Euclidean2D>`
SubPlane.`buildNew(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
Method parameters in org.apache.commons.math3.geometry.euclidean.threed with type arguments of type Euclidean2D
Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Euclidean3D,Euclidean2D>`
SubPlane.`buildNew(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`Vector3D`
Plane.`toSpace(Point<Euclidean2D> point)`
Transform an in-plane point into a 3D space point.
`Vector3D`
Plane.`toSpace(Vector<Euclidean2D> vector)`
Transform a sub-space point into a space point.
Constructor parameters in org.apache.commons.math3.geometry.euclidean.threed with type arguments of type Euclidean2D
Modifier
Constructor
Description
``
`SubPlane(Hyperplane<Euclidean3D> hyperplane, Region<Euclidean2D> remainingRegion)`
Simple constructor.

## Uses of Euclidean2D in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return Euclidean2D
Modifier and Type
Method
Description
`static Euclidean2D`
Euclidean2D.`getInstance()`
Get the unique instance.
Methods in org.apache.commons.math3.geometry.euclidean.twod that return types with arguments of type Euclidean2D
Modifier and Type
Method
Description
`EnclosingBall<Euclidean2D,Vector2D>`
DiskGenerator.`ballOnSupport(List<Vector2D> support)`
Create a ball whose boundary lies on prescribed support points.
`protected AbstractSubHyperplane<Euclidean2D,Euclidean1D>`
SubLine.`buildNew(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`static Transform<Euclidean2D,Euclidean1D>`
Line.`getTransform(double cXX, double cYX, double cXY, double cYY, double cX1, double cY1)`
Get a `Transform` embedding an affine transform.
`static Transform<Euclidean2D,Euclidean1D>`
Line.`getTransform(AffineTransform transform)`
Deprecated.
as of 3.6, replaced with `Line.getTransform(double, double, double, double, double, double)`
`Point<Euclidean2D>`
Line.`project(Point<Euclidean2D> point)`
Project a point to the hyperplane.
`SubHyperplane.SplitSubHyperplane<Euclidean2D>`
SubLine.`split(Hyperplane<Euclidean2D> hyperplane)`
Split the instance in two parts by an hyperplane.
Method parameters in org.apache.commons.math3.geometry.euclidean.twod with type arguments of type Euclidean2D
Modifier and Type
Method
Description
`Vector2D`
Vector2D.`add(double factor, Vector<Euclidean2D> v)`
Add a scaled vector to the instance.
`Vector2D`
Vector2D.`add(Vector<Euclidean2D> v)`
Add a vector to the instance.
`PolygonsSet`
PolygonsSet.`buildNew(BSPTree<Euclidean2D> tree)`
Build a region using the instance as a prototype.
`protected AbstractSubHyperplane<Euclidean2D,Euclidean1D>`
SubLine.`buildNew(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`double`
Vector2D.`distance(Point<Euclidean2D> p)`
Compute the distance between the instance and another point.
`double`
Vector2D.`distance(Vector<Euclidean2D> p)`
Compute the distance between the instance and another vector according to the L2 norm.
`double`
Vector2D.`distance1(Vector<Euclidean2D> p)`
Compute the distance between the instance and another vector according to the L1 norm.
`double`
Vector2D.`distanceInf(Vector<Euclidean2D> p)`
Compute the distance between the instance and another vector according to the L∞ norm.
`double`
Vector2D.`distanceSq(Vector<Euclidean2D> p)`
Compute the square of the distance between the instance and another vector.
`double`
Vector2D.`dotProduct(Vector<Euclidean2D> v)`
Compute the dot-product of the instance and another vector.
`StringBuffer`
Vector2DFormat.`format(Vector<Euclidean2D> vector, StringBuffer toAppendTo, FieldPosition pos)`
Formats a `Vector` object to produce a string.
`double`
Line.`getOffset(Point<Euclidean2D> point)`
Get the offset (oriented distance) of a point.
`double`
Line.`getOffset(Vector<Euclidean2D> vector)`
Get the offset (oriented distance) of a vector.
`Point<Euclidean2D>`
Line.`project(Point<Euclidean2D> point)`
Project a point to the hyperplane.
`boolean`
Line.`sameOrientationAs(Hyperplane<Euclidean2D> other)`
Check if the instance has the same orientation as another hyperplane.
`SubHyperplane.SplitSubHyperplane<Euclidean2D>`
SubLine.`split(Hyperplane<Euclidean2D> hyperplane)`
Split the instance in two parts by an hyperplane.
`Vector2D`
Vector2D.`subtract(double factor, Vector<Euclidean2D> v)`
Subtract a scaled vector from the instance.
`Vector2D`
Vector2D.`subtract(Vector<Euclidean2D> p)`
Subtract a vector from the instance.
`Vector1D`
Line.`toSubSpace(Point<Euclidean2D> point)`
Transform a space point into a sub-space point.
`Vector1D`
Line.`toSubSpace(Vector<Euclidean2D> vector)`
Transform a space point into a sub-space point.
Constructor parameters in org.apache.commons.math3.geometry.euclidean.twod with type arguments of type Euclidean2D
Modifier
Constructor
Description
``
`PolygonsSet(Collection<SubHyperplane<Euclidean2D>> boundary)`
Deprecated.
as of 3.3, replaced with `PolygonsSet(Collection, double)`
``
`PolygonsSet(Collection<SubHyperplane<Euclidean2D>> boundary, double tolerance)`
Build a polygons set from a Boundary REPresentation (B-rep).
``
`PolygonsSet(BSPTree<Euclidean2D> tree)`
Deprecated.
as of 3.3, replaced with `PolygonsSet(BSPTree, double)`
``
`PolygonsSet(BSPTree<Euclidean2D> tree, double tolerance)`
Build a polygons set from a BSP tree.
``
`SubLine(Hyperplane<Euclidean2D> hyperplane, Region<Euclidean1D> remainingRegion)`
Simple constructor.

## Uses of Euclidean2D in org.apache.commons.math3.geometry.euclidean.twod.hull

Methods in org.apache.commons.math3.geometry.euclidean.twod.hull that return types with arguments of type Euclidean2D
Modifier and Type
Method
Description
`Region<Euclidean2D>`
ConvexHull2D.`createRegion()`
Returns a new region that is enclosed by the convex hull.